## meepctl build

Build core components

### Synopsis

AdvantEDGE is composed of a collection of micro-services.

Build command generates AdvantEDGE binaries.
Multiple targets can be specified (e.g. meepctl build <target1> <target2>...)

```
meepctl build <targets> [flags]
```

### Examples

```
  # Build all components
  meepctl build all
  # Build meep-platform-ctrl component only
  meepctl build meep-platform-ctrl

Valid Targets:
  * all
  * meep-ams
  * meep-app-enablement
  * meep-auth-svc
  * meep-frontend
  * meep-gis-engine
  * meep-loc-serv
  * meep-metrics-engine
  * meep-mg-manager
  * meep-mon-engine
  * meep-platform-ctrl
  * meep-rnis
  * meep-sandbox-ctrl
  * meep-tc-engine
  * meep-tc-sidecar
  * meep-virt-engine
  * meep-wais
  * meep-webhook
```

### Options

```
      --codecov   Build a code coverage binary (dev. option)
  -h, --help      help for build
      --nolint    Disable linting
```

### Options inherited from parent commands

```
  -t, --time      Display timing information
  -v, --verbose   Display debug information
```

### SEE ALSO

* [meepctl](meepctl.md)	 - meepctl - CLI application to control the AdvantEDGE platform

###### Auto generated by spf13/cobra on 29-Sep-2021
